package com.kingdee.eas.custom.handover.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.handover.task.*;

public class WorkHandoverFacade extends AbstractBizCtrl implements IWorkHandoverFacade
{
    public WorkHandoverFacade()
    {
        super();
        registerInterface(IWorkHandoverFacade.class, this);
    }
    public WorkHandoverFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkHandoverFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("0BB58DA4");
    }
    private WorkHandoverFacadeController getController() throws BOSException
    {
        return (WorkHandoverFacadeController)getBizController();
    }
    /**
     *创建并提交工作交接单-User defined method
     *@param preDays 前沿工作日天数
     */
    public void createAndSubmitHandover(int preDays) throws BOSException, EASBizException
    {
        try {
            getController().createAndSubmitHandover(getContext(), preDays);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}